API ReferenceCompanions
/public/companions
Returns a list of companions that you have created in the current project. These are your custom companions, not Napster's pre-built stock companions.
Authorization
ApiKeyAuth X-Api-Key<token>
API key for authentication. Passed as a header on every request.
In: header
Query Parameters
statuses?array<>
ethnicity?string
gender?string
Value in
"male" | "female" | "nonBinary"search?string
tags?
pageIndex?integer
Format
int32pageSize?integer
Format
int32Header Parameters
X-API-Version?string
Response Body
curl -X GET "https://companion-api.napster.com/public/companions"{
"items": [
{
"id": "string",
"firstName": "string",
"lastName": "string",
"previewUrl": "string",
"videoLoopUrl": "string",
"ethnicity": "string",
"gender": "string",
"headline": "string",
"tags": {
"property1": "string",
"property2": "string"
},
"status": "pending"
}
],
"filteredCount": 0,
"totalCount": 0,
"pageIndex": 0,
"pageSize": 0,
"search": "string"
}